Ruby - Misc #21325

make ruby more middle-aged man friendly
05/10/2025 07:04 PM - pynix (Pynix wang)

Status: Open
Priority: Normal
Assignee:

Description

after 35, | lose all interests about programming.

no linux, no vim, no iterm2, and no much much.

when | want to format a ruby time to string.

| will try Time.now.format("yy-MM-dd"),

but | get private method 'format' called for an instance of Time
ohh, | google ruby time format,

then | get strftime,

| know this is from ¢ standard library.

answer me, looking my eyes. why? baby why?

why | have to use c style method with ruby in 2025.

format is the first choose when we not familiar with Time class,
so, format is private, so we can rename it to _format,

and make format a copy of strftime and deprecate the old one,

History

#1 - 05/10/2025 07:04 PM - pynix (Pynix wang)

- Tracker changed from Bug to Misc

- Backport deleted (3.2: UNKNOWN, 3.3: UNKNOWN, 3.4: UNKNOWN)

#2 - 05/11/2025 10:27 AM - nobu (Nobuyoshi Nakada)

format is an alias of #sprinf inherited from Kernel.
We can't rename it.

#3 - 05/11/2025 04:32 PM - pynix (Pynix wang)

nobu (Nobuyoshi Nakada) wrote in #note-2:

format is an alias of #sprinf inherited from Kernel.
We can't rename it.
if format is not ok,
to_s will be good, like Integer, 255.to_s(16)
#4 - 05/18/2025 04:06 AM - nobu (Nobuyoshi Nakada)
pynix (Pynix wang) wrote in #note-3:

nobu (Nobuyoshi Nakada) wrote in #note-2:

format is an alias of #sprinf inherited from Kernel.
We can't rename it.
if format is not ok,
| don't say that overriding format is not ok.
Just renaming Kernel#format is not acceptable.

to_s will be good, like Integer, 255.to_s(16)

Overriding to_s can be a candidate as well.
